//
//  TitlePageFrame.swift
//  DouShouQi_App
//
//  Created by Rémi REGNAULT on 16/05/2024.
//

import SwiftUI

struct TitlePageFrame: View {
    
    // Text Params
    var Text: String
    
    // Image Params
    var ImageWidth: CGFloat
    var ImageHeight: CGFloat
    
    var body: some View {
        VStack(alignment: .leading) {
            ZStack {
                Image(AppImages.TitleImage)
                    .resizable()
                    .aspectRatio(contentMode: .fit)
                    .frame(width: ImageWidth, height: ImageHeight)
                
                SwiftUI.Text(self.Text)
                    .foregroundColor(Colors.TitleText)
                    .fontWeight(.bold)
                    .font(.title)
                
            }
        }
    }
}

struct TitlePageFrame_Previews: PreviewProvider {
    static var previews: some View {
        TitlePageFrame(Text: "DouShouQi", ImageWidth: 200, ImageHeight: 200)
    }
}
