//
//  MainMenuView.swift
//  DouShouQi_App
//
//  Created by Rémi REGNAULT on 16/05/2024.
//

import SwiftUI

struct MainMenuView: View {
    var body: some View {
        NavigationView {
            VStack {
                TitlePageFrame(Text: "DOU SHOU QI", ImageWidth: 200, ImageHeight: 200)
                Spacer()
                
                VStack {
                    HStack{
                        VStack(spacing: 25) {
                            MainMenuButton(text: "Play", destination: ScoreBoardView(), sound: "TitleScreenButtonSound")
                            MainMenuButton(text: "Historique", destination: HistoricView(), sound: "TitleScreenButtonSound")
                            MainMenuButton(text: "Best Scores", destination: ScoreBoardView(), sound: "TitleScreenButtonSound")
                            MainMenuButton(text: "Players", destination: PlayersView(), sound: "TitleScreenButtonSound")
                        }
                        Image(AppImages.SemiLion)
                            .resizable()
                            .aspectRatio(contentMode: .fit)
                            .frame(width: 200, height: 500)
                    }
                    
                }
                Spacer()
                HStack {
                    Text("Copyright @")
                        .font(.headline)
                        .frame(alignment: .trailing)
                    
                    Text("Dou Shou Qi Team")
                    
                    Spacer()
                    
                    Text("2024")
                        .frame(alignment: .trailing)
                }
                .padding() // Ajout de padding pour éviter que le contenu ne touche la bordure
                .background(Color.white) // Couleur de fond pour le HStack
                .overlay(
                    Rectangle()
                        .stroke(Color.black, lineWidth: 1) // Couleur et épaisseur de la bordure
                )
                
                Spacer()
                    .onAppear {
                        MusicPlayer.shared.playBackgroundMusic(music: "TitleScreenMusic")
                    }
                    .onDisappear {
                        MusicPlayer.shared.stopBackgroundMusic()
                    }
                
            }
        }
    }
}

struct MainMenuView_Previews: PreviewProvider {
    static var previews: some View {
        MainMenuView()
    }
}
